Subject: Re: bug#11913: Unusual Emacs 24.1 arithmetic error (abs) on i386 machine

From: Glenn Morris <[email-masked]>
Date: Fri, 13 Jul 2012 15:04:25 -0400

Eli Zaretskii wrote:

>> >   cal-hebrew.el:819:56:Error: Arithmetic error: "abs", 8.0
[...]
> Do we even understand how this error happens?  There's nothing even
> close to a reference to 'abs' on that line of cal-hebrew.el in my copy
> of Emacs 24.1.

Line 819 of cal-hebrew.el in Emacs 24 is diary-hebrew-birthday.
This calls calendar-absolute-from-gregorian, which uses the `abs'
function. I assume it's something to do with that, but I have no idea
why that function should even be called during the building of Emacs.

There are few calendar callers of the `abs' function.
Another is calendar-dst-find-data. This is actually called when cal-dst
is loaded, so an error from there during building would make slightly
more sense.

But why does (abs 8.0) return an arithmetic error at all...?